Package com.explodingpixels.painter

## Class GradientPainter

- java.lang.Object
- - com.explodingpixels.painter.GradientPainter

All Implemented Interfaces:
  `MacWidgetsPainter<java.awt.Component>`

    public class GradientPainter
    extends java.lang.Object
    implements MacWidgetsPainter<java.awt.Component>

### Constructor Summary

Constructors
`GradientPainter​(java.awt.Color topColor, java.awt.Color bottomColor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `paint​(java.awt.Graphics2D g, java.awt.Component object, int width, int height)` Renders to the given `Graphics2D`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GradientPainter

    public GradientPainter​(java.awt.Color topColor,
                           java.awt.Color bottomColor)

### Method Detail

#### paint

    public void paint​(java.awt.Graphics2D g,
                      java.awt.Component object,
                      int width,
                      int height)

Description copied from interface: `MacWidgetsPainter`
Renders to the given `Graphics2D`. The supplied graphics context may be modified - it's state need not be restored upon completion of painting.

Specified by:
  `paint` in interface `MacWidgetsPainter<java.awt.Component>`
Parameters:
  `g` - the graphics context to paint into. It's state need not be restored. Will not be null.
  `object` - the object to be painted.
  `width` - the width within the object to paint.
  `height` - the height within the object to paint.